language = "EN"
dictionary =
{
	["WEATHER_FULL"] = "FULL",
	["WEATHER_PARTIAL"] = "PARTIAL",
	["WEATHER_NONE"] = "NONE",
	["MUTE_ON"] = "ON",
	["MUTE_OFF"] = "OFF",

	["DIALOGUE_SOH"] = "/cffff00SOH-chan",
	["DIALOGUE_UNKNOWN"] = "/cffff00???",
	["DIALOGUE_PROFESSOR"] = "/cffff00Professor",
	["DIALOGUE_UNYL"] = "/cffff00Unyl-chan",
	["DIALOGUE1-1"] = "What...? Where am I?",
	["DIALOGUE1-2"] = "You don't remember? This is worse than we expected",
	["DIALOGUE1-3"] = "Who's there?",
	["DIALOGUE1-4"] = "Looks like we don't have much time for questions right now. Listen carefully, I'll try to explain what you need to do.",
	["DIALOGUE1-5"] = "I'm listening.",
	["DIALOGUE1-6"] = "Then get to the important part, I'll figure out the rest. /c9999ff(SKIP INTRODUCTION)",
	["DIALOGUE1-7"] = "Press /c9999ff%s /cffffffto interrupt the Professor with a remark where it is possible. It will not stop his instructions, but may alter the course of the dialogue in some cases.",
	["DIALOGUE1-8"] = "Okay, first things first - what you see around is not real, it is actually a VR.",
	["DIALOGUE1-9"] = "I can't see that much, actually",
	["DIALOGUE1-10"] = "It must be because of the synchronisation problem.",
	["DIALOGUE1-11"] = "You have been sent there to destroy the AI from the inside. But be careful, it can kill you back in real life if you are too reckless.",
	["DIALOGUE1-12"] = "But why me? And why from the inside?",
	["DIALOGUE1-13"] = "You volunteered. Truth be told, I am not very comfortable with this, but someone had to do it. And going from the inside is our only option right now.",
	["DIALOGUE1-14"] = "The AI core must be located somewhere in the city to the north, try to reach it as quick as possible.",
	["DIALOGUE1-15"] = "You said this is a VR, why not just send me to the city to begin with?",
	["DIALOGUE1-16"] = "Don't rush it, I'm getting to that. It's not that easy.",
	["DIALOGUE1-17"] = "This AI is not very happy with us trying to turn it off, naturally. He tracked your entrance and tried to interfere hence the synchronisation problems and temporal memory loss. Don't worry, you will  recall eveything in time.",
	["DIALOGUE1-18"] = "Well, it looks like I was able to fill you in on the most important part. Good. We may actually have more time than I expected. Remember, you are not alone there.",
	["DIALOGUE1-19"] = "Huh? I don't see anyone else.",
	["DIALOGUE1-20"] = "...Yes, there were some trouble with that too. You see, we actually sent an AI specialist with you to help...",
	["DIALOGUE1-21"] = "Um-m... That must be me...",
	["DIALOGUE1-22"] = "Ah, you have finnaly came to your senses too! That's right, I was talking about you.",
	["DIALOGUE1-23"] = "Just try and stay back... wherever you are.",
	["DIALOGUE1-24"] = "...But that AI interference I meantioned before? Well, you see, it looks like some of the VR link objects were corrupted.",
	["DIALOGUE1-25"] = "What? Oh wait, I have an AI expert with me. What did he just say? I don't get it.",
	["DIALOGUE1-26"] = "Um-m... Me? Well... corrupted objects... I think this means that some of our equipment is missing...",
	["DIALOGUE1-27"] = "I'm afraid it is worse than just some equipment.",
	["DIALOGUE1-28"] = "You two have to share one VR body.",
	["DIALOGUE1-29"] = "WHAT?!",
	["DIALOGUE1-30"] = "Yes, that must be quite shocking. Of course, only one of you can control it at any given time.",
	["DIALOGUE1-31"] = "And you saved THAT for the 'unimportant' part?!",
	["DIALOGUE1-32"] = "You would have been able to figure that out even if our link was interrupted. Your mission, on the other hand, is not that obvious.",
	["DIALOGUE1-33"] = "I'm not feeling well... Everyting seems dark.",
	["DIALOGUE1-34"] = "This is not a good sign. Your synchronisation value is probably falling because you lack a VR body. Don't forget to switch once in a while.",
	["DIALOGUE1-35"] = "Just when I thought it would be easy to keep her from harm. I mean, it's not going to be a walk in a park, right?",
	["DIALOGUE1-36"] = "Yes, you should expect resistance.",
	["DIALOGUE1-37"] = "Do you have any combat training?",
	["DIALOGUE1-38"] = "...I'll try.",
	["DIALOGUE1-39"] = "Pay attention to your synchronisation bar. If it will get too far to the side, one of your characters will start to lose health. The closer to the side it is, however, the more powerful abilities the other character has.",
	["DIALOGUE1-40"] = "Press /c9999ff%s /cffffffto switch controlled character and reverse the movement of the synchronistaion mark. Collectable items will move the mark closer to the center.",
	["DIALOGUE1-41"] = "Keep an eye out for objects you can interact with, however. It will probably help you to stay focused. And one more thing...",
	["DIALOGUE1-42"] = "...FGSFDS...destoy...GLAGHRBHL^H....option...%%not real%%... (NO CARRIER)",
	["DIALOGUE1-43"] = "Hello?",
	["DIALOGUE1-44"] = "Looks like we are on our own now.",
	
	["DIALOGUE2-1"] = "A wall? In the middle of the forest? Now, that's strange.",
	["DIALOGUE2-2"] = "Maybe we should just go around it?",
	["DIALOGUE2-3"] = "No, that would feel like... cheating.",
	
	["DIALOGUE3-1"] = "What a cute little creature!",
	["DIALOGUE3-2"] = "Be careful, it may be dangerous.",
	["DIALOGUE3-3"] = "What did I tell you?",
	
	["DIALOGUE4-1"] = "Um-m... What's this sound?",
	["DIALOGUE4-2"] = "Sound?",
	["DIALOGUE4-3"] = "Whoever is inside I doubt he is friendly.",
	
	["DIALOGUE5-1"] = "Running away?",
	["DIALOGUE5-2"] = "Oh no, you don't!",
	
	["DIALOGUE6-1"] = "Now, what is THIS?",
	["DIALOGUE6-2"] = "I think this is some kind of an energy source.",
	["DIALOGUE6-3"] = "For what?",
	["DIALOGUE6-4"] = "I don't know. But we may be able to build something with it...",
	["DIALOGUE6-5"] = 'I hope this "something" you are talking about can shoot.',
	["DIALOGUE6-6"] = "A weapon?.. Well, maybe I can do that... But only one of these is not enough. Let's search for more and see what we can do.",
	["DIALOGUE6-7"] = "Collect energy bonuses in different shapes to create additional weapons and temporary bonuses. Different combinations bring different results, so feel free to experiment!",
	
	["DIALOGUE7-1"] = "Um-m-m... can I ask you something?",
	["DIALOGUE7-2"] = "Not now, we are kind of busy here!",
	["DIALOGUE7-3"] = "Go ahead.",
	["DIALOGUE7-4"] = "Have your memories returned yet?",
	["DIALOGUE7-5"] = "Not really. But enough for our mission. Your point?",
	["DIALOGUE7-6"] = "I think the man, that we were talking with was my father.",
	["DIALOGUE7-7"] = "...okay. Anything else?",
	["DIALOGUE7-8"] = "No. But I wonder - why he didn't mention it?",
	
	["DIALOGUE8-1"] = "You okay there?",
	["DIALOGUE8-2"] = "I'm fine, just give me a second to catch my breath...",
	["DIALOGUE8-3"] = "...Yes, thanks for asking.",
	["DIALOGUE8-4"] = "Do you remember anything from the past? Have you ever been in this kind of action?",
	["DIALOGUE8-5"] = "I don't think so. But I think I remember somehing...",
	["DIALOGUE8-6"] = "What?",
	["DIALOGUE8-7"] = "You. I'm positive that's not the first time we met. And not a second either.",
	["DIALOGUE8-8"] = "Hm. Well, we'll wait and see."
	
	
}
