local dbg = {}

function dbg.show_obj_anim(id)
	Log("dbg.show_obj_anim(",id,")")
	if GetObject(id) then dbg.obj_anim_id = id else return "No object" end
	
	if not dbg.obj_anim_text then
		dbg.obj_anim_text = CreateWidget(constants.wt_Label, "dbg_oanim_lbl", nil, 5, 60, 100, 100)
	end
	
	WidgetSetCaptionColor( dbg.obj_anim_text, { 1, 1, 1, 1}, false )
	WidgetSetCaptionFont( dbg.obj_anim_text, "dialogue" )
	WidgetSetZ(dbg.obj_anim_text, 0.99)
	WidgetSetVisible(dbg.obj_anim_text, true)
end

function dbg.hide_obj_anim()
	if dbg.obj_anim_text then 
		DestroyWidget(dbg.obj_anim_text)
		dbg.obj_anim_text = nil
	end
end

function dbg.process()
	if dbg.obj_anim_text then
		local obj = GetObject(dbg.obj_anim_id)
		if obj then
			--Log(obj.sprite.cur_anim)
			WidgetSetCaption(dbg.obj_anim_text, obj.sprite.cur_anim .. "  " .. obj.sprite.currentFrame)
		end
	end

end

function dbg.sab()
	dbg.show_obj_anim(mapvar.tmp.boss)
end
	
function dbg.bonus(bns)
	local char1 = GetPlayer(1)
	local char2 = GetPlayer(2)
	local active = GetPlayer()
	local active_char = iff( active.id == char1.id, 1, 2 )
	local wpn = WeaponSystem(active.id, bns)
	if wpn then 
		SetPlayerAltWeapon(active_char,wpn)
	end
end	

function dbg.sq()
	dbg.bonus("square")
end
function dbg.ci()
	dbg.bonus("circle")
end	
function dbg.tr()
	dbg.bonus("triangle")
end
function dbg.di()
	dbg.bonus("diamond")
end
function dbg.li()
	dbg.bonus("line")
end
function dbg.ammo(count)
	AddBonusAmmo(GetPlayer().id, count)
end	
function dbg.health(count)
	AddBonusHealth(GetPlayer().id, count)
end
return dbg