require("dialogue")
require("routines")
dialogues = {}

------------------------------------------------
dialogues[1] = Dialogue.create()
dialogues[1].lines["ROOT"] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", "DIALOGUE1-1"}, {
					{align=constants.taCenter}, 
					{align=constants.taLeft},
					portrait_left="portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100})
dialogues[1].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNKNOWN", "DIALOGUE1-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "PORTRAIT_CLEAR"})	
dialogues[1].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", "DIALOGUE1-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left="portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100})
dialogues[1].lines[3] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", "DIALOGUE1-4"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
dialogues[1].lines[4] = DialogueLine.create(constants.dlChoice,
					{"DIALOGUE1-5", "DIALOGUE1-6"}, {
					5, 
					43,
					text = "DIALOGUE_SOH",
					portrait_left="portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR"})
					
	--       ,       .
dialogues[1].lines[5] = DialogueLine.create(constants.dlText, {
					string.format(dictionary_string("DIALOGUE1-7"), GetKeyName(CONFIG.key_conf[1].gui_nav_decline))}, {
					{}, 
					portrait_left = "PORTRAIT_CLEAR",
					portrait_right = "PORTRAIT_CLEAR"})
	
dialogues[1].lines[6] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", "DIALOGUE1-8" }, {
					{align=constants.taCenter},
					{},
					skip_to = 9,
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[7] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", "DIALOGUE1-9"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[8] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", "DIALOGUE1-10"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
			
dialogues[1].lines[9] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-11"}, {
					{align=constants.taCenter},
					{},
					skip_to = 12 } )
					
dialogues[1].lines[10] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", "DIALOGUE1-12"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[11] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-13"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[12] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-14"}, {
					{align=constants.taCenter},
					{},
					skip_to = 17} )
					
dialogues[1].lines[13] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-15"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
	
dialogues[1].lines[14] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-16"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[15] = DialogueLine.create(constants.dlScript, 
					function()
						Log("dialog line 15")
						FadeIn(2000) 
					end )
					
dialogues[1].lines[16] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-17"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[17] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-18"}, {
					{align=constants.taCenter},
					{} 
					} )
					
dialogues[1].lines[18] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-19"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[19] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-20"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[20] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE1-21"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[21] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-22"}, {
					{align=constants.taCenter},
					{},
					skip_to = 23,
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[22] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-23"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )				
	
dialogues[1].lines[23] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-24"}, {
					{align=constants.taCenter},
					{},
					skip_to = 27,
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )

dialogues[1].lines[24] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-25"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	

dialogues[1].lines[25] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE1-26"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[26] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-27"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )

dialogues[1].lines[27] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-28"}, {
					{align=constants.taCenter},
					{} } )
					
dialogues[1].lines[28] = DialogueLine.create(constants.dlText, { "DIALOGUE1-29" }, {
					{align=constants.taCenter}, 
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "portrait-unyl" } )
					
dialogues[1].lines[29] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-30"}, {
					{align=constants.taCenter},
					{},
					{},
					skip_to = 32,
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[30] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-31"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[31] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-32"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )		
					
dialogues[1].lines[32] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE1-33"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[33] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-34"}, {
					{align=constants.taCenter},
					{},
					skip_to = 39,
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )	

dialogues[1].lines[34] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-35"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	
					
dialogues[1].lines[35] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-36"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )

dialogues[1].lines[36] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-37"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	

dialogues[1].lines[37] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE1-38"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )

dialogues[1].lines[38] = DialogueLine.create(constants.dlScript, 
					function()
						local f = function()
							local widget = CreateWidget(constants.wt_Picture, "w", nil, 300, 200, 28, 28)
							WidgetSetSprite(widget, "gui")
							WidgetSetAnim(widget, "sync_bar")
							local vis = true
							for i = 0,6 do
								WidgetSetVisible(widget, vis)
								Wait(300)
								vis = not vis
							end
							MoveWidgetTo(widget, {521, 16}, 2000, false, function () DestroyWidget(widget) end)
							Wait(5000)
						end
						local thr = NewThread(f)
						Resume(thr)
					end)
					
dialogues[1].lines[39] = DialogueLine.create(constants.dlText, { 
					"DIALOGUE1-39"}, {
					{},
					portrait_left = "PORTRAIT_CLEAR", 
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[40] = DialogueLine.create(constants.dlText, { 
					string.format(dictionary_string("DIALOGUE1-40"), GetKeyName(CONFIG.key_conf[1].change_player))}, {
					{},
					{} } )
					
dialogues[1].lines[41] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-41"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[42] = DialogueLine.create(constants.dlText, {"DIALOGUE_PROFESSOR", 
					"DIALOGUE1-42"}, {
					{align=constants.taCenter},
					{},
					portrait_right = "portrait-prof", 
					portrait_right_x = 100, 
					portrait_right_y = 100,
					portrait_left = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[43] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE1-43"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[1].lines[44] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE1-44"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	
					
dialogues[1].lines[45] = DialogueLine.create(constants.dlScript, function() pop_pause() nomenu = false FadeIn(2000) PlayBackMusic("music/iie_whbt.it") GUI:show() EnablePlayerControl(true) end)
dialogues[1].lines[45].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[2] = Dialogue.create()
dialogues[2].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						push_pause( true )
						nomenu = true 
						GUI:hide()
						EnablePlayerControl(false) 
					end)
					
dialogues[2].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE2-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	

dialogues[2].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE2-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[2].lines[3] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE2-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	
					
dialogues[2].lines[4] = DialogueLine.create(constants.dlScript, 
					function() 
						pop_pause()
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[2].lines[4].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[3] = Dialogue.create()
dialogues[3].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						--  ,       ,       
						--TogglePause() 
						--nomenu = true 
						--GUI:hide()
						--EnablePlayerControl(false) 
					end)
					
dialogues[3].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE3-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[3].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE3-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )	
					
dialogues[3].lines[3] = DialogueLine.create(constants.dlScript, 
					function() 
						--      
					end)
					
dialogues[3].lines[4] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE3-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[3].lines[5] = DialogueLine.create(constants.dlScript, 
					function() 
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[3].lines[5].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[4] = Dialogue.create()
dialogues[4].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						push_pause( true ) 
						nomenu = true 
						GUI:hide()
						EnablePlayerControl(false) 
					end)
					
dialogues[4].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE4-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[4].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE4-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[4].lines[3] = DialogueLine.create(constants.dlScript, 
					function() 
						--      ̣.
					end)
					
dialogues[4].lines[4] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE4-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[4].lines[5] = DialogueLine.create(constants.dlScript, 
					function() 
						pop_pause()
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[4].lines[5].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[5] = Dialogue.create()
dialogues[5].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						--    ,     
						--TogglePause() 
						--nomenu = true 
						--GUI:hide()
						--EnablePlayerControl(false) 
					end)
					
dialogues[5].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE5-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )

dialogues[5].lines[2] = DialogueLine.create(constants.dlScript, 
					function() 
						--   .
					end)
					
dialogues[5].lines[3] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE5-2"}, {
					{align=constants.taCenter}, 
					{} } )
					
dialogues[5].lines[4] = DialogueLine.create(constants.dlScript, 
					function() 
						--       
						--TogglePause() 
						--nomenu = false 
						--GUI:show() 
						--EnablePlayerControl(true) 
					end)
dialogues[5].lines[4].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[6] = Dialogue.create()
dialogues[6].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						push_pause(true)
						nomenu = true 
						GUI:hide()
						EnablePlayerControl(false) 
					end)
dialogues[6].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE6-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE6-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[3] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE6-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[4] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE6-4"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[5] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE6-5"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[6] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE6-6"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[7] = DialogueLine.create(constants.dlText, {"DIALOGUE6-7"}, {
					{},
					portrait_left = "PORTRAIT_CLEAR", 
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[6].lines[8] = DialogueLine.create(constants.dlScript, 
					function() 
						pop_pause()
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[6].lines[8].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[7] = Dialogue.create()
dialogues[7].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						push_pause(true)
						nomenu = true 
						GUI:hide()
						EnablePlayerControl(false) 
					end)

dialogues[7].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE7-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR",
					skip_to = 4} )
					
dialogues[7].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE7-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[3] = DialogueLine.create(constants.dlScript, 
					function() 
						-- +1    
					end)
dialogues[7].lines[3].nextline = 11	--    
					
dialogues[7].lines[4] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE7-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[5] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE7-4"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[6] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE7-5"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[7] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE7-6"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[8] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE7-7"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[9] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE7-8"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[7].lines[10] = DialogueLine.create(constants.dlScript, 
					function() 
						--      
					end)
					
dialogues[7].lines[11] = DialogueLine.create(constants.dlScript, 
					function() 
						pop_pause()
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[7].lines[11].nextline = "DIALOGUE_END"

------------------------------------------------
------------------------------------------------
dialogues[8] = Dialogue.create()
dialogues[8].lines["ROOT"] = DialogueLine.create(constants.dlScript, 
					function() 
						push_pause(true)
						nomenu = true 
						GUI:hide()
						EnablePlayerControl(false) 
					end)
					
dialogues[8].lines[1] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE8-1"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR",
					skip_to = 4} )
					
dialogues[8].lines[2] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE8-2"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[3] = DialogueLine.create(constants.dlScript, 
					function() 
						--    -    
					end)
dialogues[8].lines[3].nextline = 11	--    
					
dialogues[8].lines[4] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE8-3"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[5] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE8-4"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[6] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE8-5"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[7] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE8-6"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[8] = DialogueLine.create(constants.dlText, {"DIALOGUE_UNYL", 
					"DIALOGUE8-7"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-unyl", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[9] = DialogueLine.create(constants.dlText, {"DIALOGUE_SOH", 
					"DIALOGUE8-8"}, {
					{align=constants.taCenter}, 
					{},
					portrait_left = "portrait-soh", 
					portrait_left_x = 100, 
					portrait_left_y = 100,
					portrait_right = "PORTRAIT_CLEAR" } )
					
dialogues[8].lines[10] = DialogueLine.create(constants.dlScript, 
					function() 
						--      
					end)
					
dialogues[8].lines[11] = DialogueLine.create(constants.dlScript, 
					function() 
						pop_pause()
						nomenu = false 
						GUI:show() 
						EnablePlayerControl(true) 
					end)
dialogues[8].lines[11].nextline = "DIALOGUE_END"