#ifndef __GUI_TEXTFIELD_H_
#define __GUI_TEXTFIELD_H_

#include "gui_widget.h"

// ,   
class GuiTextfield : public GuiWidget
{
public:

	size_t reserved_size;			//  ,   caption
	size_t max_size;				//    caption. 0 -  .
	size_t used_size;				//  ,     (  '/0'  ).
	size_t cursor_position;			//  .      cursor_position

	GuiTextfield()
	{		
		max_size = 256;
		used_size = 0;
		reserved_size = 0;
		caption = NULL;

		cursor_position = 0;	// __    .
	}

	virtual ~GuiTextfield() { }



	virtual void Process();
	virtual void Draw();
	virtual void DrawCaption();

	virtual void OnKeyInput(Uint16 vkey);
	virtual void OnKeyDown(USHORT vkey);

	virtual void SetCaption(const char *cap, bool multiline);

	void SetMaxSize(size_t size);
};

#endif // __GUI_TEXTFIELD_H_